<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ccrGetTrackingInfo StructType
 * @subpackage Structs
 */
class CcrGetTrackingInfo extends AbstractStructBase
{
    /**
     * The NumeroEnvio
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $NumeroEnvio;
    /**
     * The User
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $User;
    /**
     * The Pass
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Pass;
    /**
     * Constructor method for ccrGetTrackingInfo
     * @uses CcrGetTrackingInfo::setNumeroEnvio()
     * @uses CcrGetTrackingInfo::setUser()
     * @uses CcrGetTrackingInfo::setPass()
     * @param string $numeroEnvio
     * @param string $user
     * @param string $pass
     */
    public function __construct($numeroEnvio = null, $user = null, $pass = null)
    {
        $this
            ->setNumeroEnvio($numeroEnvio)
            ->setUser($user)
            ->setPass($pass);
    }
    /**
     * Get NumeroEnvio value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getNumeroEnvio()
    {
        return isset($this->NumeroEnvio) ? $this->NumeroEnvio : null;
    }
    /**
     * Set NumeroEnvio value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $numeroEnvio
     * @return \StructType\CcrGetTrackingInfo
     */
    public function setNumeroEnvio($numeroEnvio = null)
    {
        // validation for constraint: string
        if (!is_null($numeroEnvio) && !is_string($numeroEnvio)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($numeroEnvio)), __LINE__);
        }
        if (is_null($numeroEnvio) || (is_array($numeroEnvio) && empty($numeroEnvio))) {
            unset($this->NumeroEnvio);
        } else {
            $this->NumeroEnvio = $numeroEnvio;
        }
        return $this;
    }
    /**
     * Get User value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getUser()
    {
        return isset($this->User) ? $this->User : null;
    }
    /**
     * Set User value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $user
     * @return \StructType\CcrGetTrackingInfo
     */
    public function setUser($user = null)
    {
        // validation for constraint: string
        if (!is_null($user) && !is_string($user)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($user)), __LINE__);
        }
        if (is_null($user) || (is_array($user) && empty($user))) {
            unset($this->User);
        } else {
            $this->User = $user;
        }
        return $this;
    }
    /**
     * Get Pass value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getPass()
    {
        return isset($this->Pass) ? $this->Pass : null;
    }
    /**
     * Set Pass value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $pass
     * @return \StructType\CcrGetTrackingInfo
     */
    public function setPass($pass = null)
    {
        // validation for constraint: string
        if (!is_null($pass) && !is_string($pass)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($pass)), __LINE__);
        }
        if (is_null($pass) || (is_array($pass) && empty($pass))) {
            unset($this->Pass);
        } else {
            $this->Pass = $pass;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CcrGetTrackingInfo
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
