<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ccrReqTarifa StructType
 * Meta informations extracted from the WSDL
 * - nillable: true
 * - type: tns:ccrReqTarifa
 * @subpackage Structs
 */
class CcrReqTarifa extends AbstractStructBase
{
    /**
     * The Cantidad
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $Cantidad;
    /**
     * The Pais
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Pais;
    /**
     * The Peso
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $Peso;
    /**
     * The Prioridad
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Prioridad;
    /**
     * The Servicio
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Servicio;
    /**
     * The TipoEnvio
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $TipoEnvio;
    /**
     * The ZonDestino
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $ZonDestino;
    /**
     * The ZonUbicacion
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $ZonUbicacion;
    /**
     * Constructor method for ccrReqTarifa
     * @uses CcrReqTarifa::setCantidad()
     * @uses CcrReqTarifa::setPais()
     * @uses CcrReqTarifa::setPeso()
     * @uses CcrReqTarifa::setPrioridad()
     * @uses CcrReqTarifa::setServicio()
     * @uses CcrReqTarifa::setTipoEnvio()
     * @uses CcrReqTarifa::setZonDestino()
     * @uses CcrReqTarifa::setZonUbicacion()
     * @param int $cantidad
     * @param string $pais
     * @param int $peso
     * @param string $prioridad
     * @param string $servicio
     * @param int $tipoEnvio
     * @param string $zonDestino
     * @param string $zonUbicacion
     */
    public function __construct($cantidad = null, $pais = null, $peso = null, $prioridad = null, $servicio = null, $tipoEnvio = null, $zonDestino = null, $zonUbicacion = null)
    {
        $this
            ->setCantidad($cantidad)
            ->setPais($pais)
            ->setPeso($peso)
            ->setPrioridad($prioridad)
            ->setServicio($servicio)
            ->setTipoEnvio($tipoEnvio)
            ->setZonDestino($zonDestino)
            ->setZonUbicacion($zonUbicacion);
    }
    /**
     * Get Cantidad value
     * @return int|null
     */
    public function getCantidad()
    {
        return $this->Cantidad;
    }
    /**
     * Set Cantidad value
     * @param int $cantidad
     * @return \StructType\CcrReqTarifa
     */
    public function setCantidad($cantidad = null)
    {
        // validation for constraint: int
        if (!is_null($cantidad) && !is_numeric($cantidad)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($cantidad)), __LINE__);
        }
        $this->Cantidad = $cantidad;
        return $this;
    }
    /**
     * Get Pais value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getPais()
    {
        return isset($this->Pais) ? $this->Pais : null;
    }
    /**
     * Set Pais value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $pais
     * @return \StructType\CcrReqTarifa
     */
    public function setPais($pais = null)
    {
        // validation for constraint: string
        if (!is_null($pais) && !is_string($pais)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($pais)), __LINE__);
        }
        if (is_null($pais) || (is_array($pais) && empty($pais))) {
            unset($this->Pais);
        } else {
            $this->Pais = $pais;
        }
        return $this;
    }
    /**
     * Get Peso value
     * @return int|null
     */
    public function getPeso()
    {
        return $this->Peso;
    }
    /**
     * Set Peso value
     * @param int $peso
     * @return \StructType\CcrReqTarifa
     */
    public function setPeso($peso = null)
    {
        // validation for constraint: int
        if (!is_null($peso) && !is_numeric($peso)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($peso)), __LINE__);
        }
        $this->Peso = $peso;
        return $this;
    }
    /**
     * Get Prioridad value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getPrioridad()
    {
        return isset($this->Prioridad) ? $this->Prioridad : null;
    }
    /**
     * Set Prioridad value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $prioridad
     * @return \StructType\CcrReqTarifa
     */
    public function setPrioridad($prioridad = null)
    {
        // validation for constraint: string
        if (!is_null($prioridad) && !is_string($prioridad)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($prioridad)), __LINE__);
        }
        if (is_null($prioridad) || (is_array($prioridad) && empty($prioridad))) {
            unset($this->Prioridad);
        } else {
            $this->Prioridad = $prioridad;
        }
        return $this;
    }
    /**
     * Get Servicio value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getServicio()
    {
        return isset($this->Servicio) ? $this->Servicio : null;
    }
    /**
     * Set Servicio value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $servicio
     * @return \StructType\CcrReqTarifa
     */
    public function setServicio($servicio = null)
    {
        // validation for constraint: string
        if (!is_null($servicio) && !is_string($servicio)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($servicio)), __LINE__);
        }
        if (is_null($servicio) || (is_array($servicio) && empty($servicio))) {
            unset($this->Servicio);
        } else {
            $this->Servicio = $servicio;
        }
        return $this;
    }
    /**
     * Get TipoEnvio value
     * @return int|null
     */
    public function getTipoEnvio()
    {
        return $this->TipoEnvio;
    }
    /**
     * Set TipoEnvio value
     * @param int $tipoEnvio
     * @return \StructType\CcrReqTarifa
     */
    public function setTipoEnvio($tipoEnvio = null)
    {
        // validation for constraint: int
        if (!is_null($tipoEnvio) && !is_numeric($tipoEnvio)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($tipoEnvio)), __LINE__);
        }
        $this->TipoEnvio = $tipoEnvio;
        return $this;
    }
    /**
     * Get ZonDestino value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getZonDestino()
    {
        return isset($this->ZonDestino) ? $this->ZonDestino : null;
    }
    /**
     * Set ZonDestino value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $zonDestino
     * @return \StructType\CcrReqTarifa
     */
    public function setZonDestino($zonDestino = null)
    {
        // validation for constraint: string
        if (!is_null($zonDestino) && !is_string($zonDestino)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($zonDestino)), __LINE__);
        }
        if (is_null($zonDestino) || (is_array($zonDestino) && empty($zonDestino))) {
            unset($this->ZonDestino);
        } else {
            $this->ZonDestino = $zonDestino;
        }
        return $this;
    }
    /**
     * Get ZonUbicacion value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getZonUbicacion()
    {
        return isset($this->ZonUbicacion) ? $this->ZonUbicacion : null;
    }
    /**
     * Set ZonUbicacion value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $zonUbicacion
     * @return \StructType\CcrReqTarifa
     */
    public function setZonUbicacion($zonUbicacion = null)
    {
        // validation for constraint: string
        if (!is_null($zonUbicacion) && !is_string($zonUbicacion)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($zonUbicacion)), __LINE__);
        }
        if (is_null($zonUbicacion) || (is_array($zonUbicacion) && empty($zonUbicacion))) {
            unset($this->ZonUbicacion);
        } else {
            $this->ZonUbicacion = $zonUbicacion;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CcrReqTarifa
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
